import * as React from 'react';
const debugRouteCache = {
    active: 0,
    paths: [],
    refresh: undefined,
};
export function freezeRouteRefresh() {
    debugRouteCache.active++;
    return () => {
        var _a;
        debugRouteCache.active--;
        if (!debugRouteCache.active) {
            (_a = debugRouteCache.refresh) === null || _a === void 0 ? void 0 : _a.call(debugRouteCache, (s) => s + 1);
        }
    };
}
export function useDebugRouteHandling(paths) {
    const [_, triggerChange] = React.useState(0);
    React.useEffect(() => {
        debugRouteCache.refresh = triggerChange;
        return () => {
            debugRouteCache.refresh = undefined;
        };
    }, []);
    if (!debugRouteCache.active) {
        debugRouteCache.paths = paths;
    }
    return debugRouteCache.paths;
}
//# sourceMappingURL=DebugRouteSwitch.js.map